#
# spec file for package python-flufl.i18n
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-flufl.i18n
Version:        5.0.2
Release:        2.5
Summary:        High level API for internationalizing Python libraries and applications
License:        Apache-2.0
URL:            https://gitlab.com/warsaw/flufl.i18n
Source:         https://files.pythonhosted.org/packages/source/f/flufl.i18n/flufl_i18n-%{version}.tar.gz
BuildRequires:  %{python_module pdm-backend}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module atpublic}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module sybil}
BuildRequires:  %{python_module typing_extensions}
# /SECTION
BuildRequires:  fdupes
Requires:       python-atpublic
Suggests:       python-typing_extensions
BuildArch:      noarch
%python_subpackages

%description
High level API for internationalizing Python libraries and applications.

%prep
%autosetup -n flufl_i18n-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%dir %{python_sitelib}/flufl
%{python_sitelib}/flufl/i18n*
%{python_sitelib}/flufl_i18n-%{version}.dist-info

%changelog
* Tue Jan 16 2024 Markéta Machová <mmachova@suse.com>
- Drop unneeded pdm dependency
* Fri Jan  5 2024 Dirk Müller <dmueller@suse.com>
- update to 5.0.2:
  * Fix the build backend.
  * Drop Python 3.7 support.
  * Bump dependencies.
* Tue Jun 13 2023 Dirk Müller <dmueller@suse.com>
- tag sle15 build for new python stack
* Wed Jan 18 2023 Daniel Garcia <daniel.garcia@suse.com>
- Remove not needed python-six dependency
- Add required dep for testing python-pdm-pep517
* Wed Sep 28 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 4.1.1 (2022-09-05)
  * Improvements to the GitLab CI integration.
  * Several minor updates to work better with the latest pdm.
- Update to 4.1 (2022-08-25)
  * The standard substitution pattern now ignores the trailing dot on $-string placeholders. I.e. $foo. is now recognized as $foo. (GL#12)
  * Update to pdm 1.3.
  * Update dependencies.
  * Make sure the doctest teardown gets run.
  * Add support for Python 3.11.
* Sat Jul  2 2022 Matej Cepl <mcepl@suse.com>
- Why, oh why, somebody switched of multi-version build? (bsc#1201111)
* Sun Jan 23 2022 Matej Cepl <mcepl@suse.com>
- Update to 4.0:
  - Use modern package management by adopting pdm and
    pyproject.toml, and dropping setup.py and setup.cfg.
  - Build the docs with Python 3.8.
  - Update to version 3.0 of Sybil.
  - Adopt the Furo documentation theme.
  - Use importlib.metadata.version() as a better way to get the
    package version number for the documentation.
  - Drop Python 3.6 support.
  - Update copyright years.
- Remove obsolete python-flufl.i18n-fix-setup.patch
* Wed Nov 17 2021 Andreas Schneider <asn@cryptomilk.org>
- Update to version 3.2
  * Add a py.typed file to satisfy type checkers.
  * Improve some QA by re-adding diff-cover, Gitlab SAST during
    CI, and testing on Python 3.10 beta (except for Windows)
  * Fix pytest 6.0.0 compatibility
  * Drop support for Python 3.4 and 3.5.  Add support for Python 3.9.
  * Translator.catalog property is now exposed.
  * New abstract classes for defining the types in this library:
  * TranslationContextManager, RuntimeTranslator, TranslationStrategy
  * When expand() gets an exception, the original exception is re-raised.
  * Add type annotations and API reference documentation.
- Added python-flufl.i18n-fix-setup.patch
* Mon Dec  2 2019 pgajdos@suse.com
- initial version 2.0.2, required by python-mailman [SLE-7686]
